<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_65) on Wed Jun 25 14:23:48 JST 2014 -->
<TITLE>
Op
</TITLE>

<META NAME="date" CONTENT="2014-06-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Op";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/apache/zookeeper/MultiTransactionRecord.html" title="class in org.apache.zookeeper"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/apache/zookeeper/Op.Check.html" title="class in org.apache.zookeeper"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?org/apache/zookeeper/Op.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Op.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.zookeeper</FONT>
<BR>
Class Op</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>org.apache.zookeeper.Op</B>
</PRE>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../org/apache/zookeeper/Op.Check.html" title="class in org.apache.zookeeper">Op.Check</A>, <A HREF="../../../org/apache/zookeeper/Op.Create.html" title="class in org.apache.zookeeper">Op.Create</A>, <A HREF="../../../org/apache/zookeeper/Op.Delete.html" title="class in org.apache.zookeeper">Op.Delete</A>, <A HREF="../../../org/apache/zookeeper/Op.SetData.html" title="class in org.apache.zookeeper">Op.SetData</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public abstract class <B>Op</B><DT>extends java.lang.Object</DL>
</PRE>

<P>
Represents a single operation in a multi-operation transaction.  Each operation can be a create, update
 or delete or can just be a version check.

 Sub-classes of Op each represent each detailed type but should not normally be referenced except via
 the provided factory methods.
<P>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../org/apache/zookeeper/ZooKeeper.html#create(java.lang.String, byte[], java.util.List, org.apache.zookeeper.CreateMode)"><CODE>ZooKeeper.create(String, byte[], java.util.List, CreateMode)</CODE></A>, 
<A HREF="../../../org/apache/zookeeper/ZooKeeper.html#create(java.lang.String, byte[], java.util.List, org.apache.zookeeper.CreateMode, org.apache.zookeeper.AsyncCallback.StringCallback, java.lang.Object)"><CODE>ZooKeeper.create(String, byte[], java.util.List, CreateMode, org.apache.zookeeper.AsyncCallback.StringCallback, Object)</CODE></A>, 
<A HREF="../../../org/apache/zookeeper/ZooKeeper.html#delete(java.lang.String, int)"><CODE>ZooKeeper.delete(String, int)</CODE></A>, 
<A HREF="../../../org/apache/zookeeper/ZooKeeper.html#setData(java.lang.String, byte[], int)"><CODE>ZooKeeper.setData(String, byte[], int)</CODE></A></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Op.Check.html" title="class in org.apache.zookeeper">Op.Check</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Op.Create.html" title="class in org.apache.zookeeper">Op.Create</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Op.Delete.html" title="class in org.apache.zookeeper">Op.Delete</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Op.SetData.html" title="class in org.apache.zookeeper">Op.SetData</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../org/apache/zookeeper/Op.html" title="class in org.apache.zookeeper">Op</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Op.html#check(java.lang.String, int)">check</A></B>(java.lang.String&nbsp;path,
      int&nbsp;version)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs an version check operation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../org/apache/zookeeper/Op.html" title="class in org.apache.zookeeper">Op</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Op.html#create(java.lang.String, byte[], java.util.List, org.apache.zookeeper.CreateMode)">create</A></B>(java.lang.String&nbsp;path,
       byte[]&nbsp;data,
       java.util.List&lt;ACL&gt;&nbsp;acl,
       <A HREF="../../../org/apache/zookeeper/CreateMode.html" title="enum in org.apache.zookeeper">CreateMode</A>&nbsp;createMode)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a create operation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../org/apache/zookeeper/Op.html" title="class in org.apache.zookeeper">Op</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Op.html#create(java.lang.String, byte[], java.util.List, int)">create</A></B>(java.lang.String&nbsp;path,
       byte[]&nbsp;data,
       java.util.List&lt;ACL&gt;&nbsp;acl,
       int&nbsp;flags)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a create operation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../org/apache/zookeeper/Op.html" title="class in org.apache.zookeeper">Op</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Op.html#delete(java.lang.String, int)">delete</A></B>(java.lang.String&nbsp;path,
       int&nbsp;version)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a delete operation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Op.html#getPath()">getPath</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the path for an Op.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Op.html#getType()">getType</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the integer type code for an Op.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../org/apache/zookeeper/Op.html" title="class in org.apache.zookeeper">Op</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Op.html#setData(java.lang.String, byte[], int)">setData</A></B>(java.lang.String&nbsp;path,
        byte[]&nbsp;data,
        int&nbsp;version)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs an update operation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;org.apache.jute.Record</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Op.html#toRequestRecord()">toRequestRecord</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Encodes an op for wire transmission.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="create(java.lang.String, byte[], java.util.List, int)"><!-- --></A><H3>
create</H3>
<PRE>
public static <A HREF="../../../org/apache/zookeeper/Op.html" title="class in org.apache.zookeeper">Op</A> <B>create</B>(java.lang.String&nbsp;path,
                        byte[]&nbsp;data,
                        java.util.List&lt;ACL&gt;&nbsp;acl,
                        int&nbsp;flags)</PRE>
<DL>
<DD>Constructs a create operation.  Arguments are as for the ZooKeeper method of the same name.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>path</CODE> - the path for the node<DD><CODE>data</CODE> - the initial data for the node<DD><CODE>acl</CODE> - the acl for the node<DD><CODE>flags</CODE> - specifying whether the node to be created is ephemeral
                and/or sequential but using the integer encoding.<DT><B>See Also:</B><DD><A HREF="../../../org/apache/zookeeper/ZooKeeper.html#create(java.lang.String, byte[], java.util.List, org.apache.zookeeper.CreateMode)"><CODE>ZooKeeper.create(String, byte[], java.util.List, CreateMode)</CODE></A>, 
<A HREF="../../../org/apache/zookeeper/CreateMode.html#fromFlag(int)"><CODE>CreateMode.fromFlag(int)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="create(java.lang.String, byte[], java.util.List, org.apache.zookeeper.CreateMode)"><!-- --></A><H3>
create</H3>
<PRE>
public static <A HREF="../../../org/apache/zookeeper/Op.html" title="class in org.apache.zookeeper">Op</A> <B>create</B>(java.lang.String&nbsp;path,
                        byte[]&nbsp;data,
                        java.util.List&lt;ACL&gt;&nbsp;acl,
                        <A HREF="../../../org/apache/zookeeper/CreateMode.html" title="enum in org.apache.zookeeper">CreateMode</A>&nbsp;createMode)</PRE>
<DL>
<DD>Constructs a create operation.  Arguments are as for the ZooKeeper method of the same name.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>path</CODE> - the path for the node<DD><CODE>data</CODE> - the initial data for the node<DD><CODE>acl</CODE> - the acl for the node<DD><CODE>createMode</CODE> - specifying whether the node to be created is ephemeral
                and/or sequential<DT><B>See Also:</B><DD><A HREF="../../../org/apache/zookeeper/ZooKeeper.html#create(java.lang.String, byte[], java.util.List, org.apache.zookeeper.CreateMode)"><CODE>ZooKeeper.create(String, byte[], java.util.List, CreateMode)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="delete(java.lang.String, int)"><!-- --></A><H3>
delete</H3>
<PRE>
public static <A HREF="../../../org/apache/zookeeper/Op.html" title="class in org.apache.zookeeper">Op</A> <B>delete</B>(java.lang.String&nbsp;path,
                        int&nbsp;version)</PRE>
<DL>
<DD>Constructs a delete operation.  Arguments are as for the ZooKeeper method of the same name.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>path</CODE> - the path of the node to be deleted.<DD><CODE>version</CODE> - the expected node version.<DT><B>See Also:</B><DD><A HREF="../../../org/apache/zookeeper/ZooKeeper.html#delete(java.lang.String, int)"><CODE>ZooKeeper.delete(String, int)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setData(java.lang.String, byte[], int)"><!-- --></A><H3>
setData</H3>
<PRE>
public static <A HREF="../../../org/apache/zookeeper/Op.html" title="class in org.apache.zookeeper">Op</A> <B>setData</B>(java.lang.String&nbsp;path,
                         byte[]&nbsp;data,
                         int&nbsp;version)</PRE>
<DL>
<DD>Constructs an update operation.  Arguments are as for the ZooKeeper method of the same name.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>path</CODE> - the path of the node<DD><CODE>data</CODE> - the data to set<DD><CODE>version</CODE> - the expected matching version<DT><B>See Also:</B><DD><A HREF="../../../org/apache/zookeeper/ZooKeeper.html#setData(java.lang.String, byte[], int)"><CODE>ZooKeeper.setData(String, byte[], int)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="check(java.lang.String, int)"><!-- --></A><H3>
check</H3>
<PRE>
public static <A HREF="../../../org/apache/zookeeper/Op.html" title="class in org.apache.zookeeper">Op</A> <B>check</B>(java.lang.String&nbsp;path,
                       int&nbsp;version)</PRE>
<DL>
<DD>Constructs an version check operation.  Arguments are as for the ZooKeeper.setData method except that
 no data is provided since no update is intended.  The purpose for this is to allow read-modify-write
 operations that apply to multiple znodes, but where some of the znodes are involved only in the read,
 not the write.  A similar effect could be achieved by writing the same data back, but that leads to
 way more version updates than are necessary and more writing in general.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>path</CODE> - the path of the node<DD><CODE>version</CODE> - the expected matching version</DL>
</DD>
</DL>
<HR>

<A NAME="getType()"><!-- --></A><H3>
getType</H3>
<PRE>
public int <B>getType</B>()</PRE>
<DL>
<DD>Gets the integer type code for an Op.  This code should be as from ZooDefs.OpCode
<P>
<DD><DL>

<DT><B>Returns:</B><DD>The type code.<DT><B>See Also:</B><DD><A HREF="../../../org/apache/zookeeper/ZooDefs.OpCode.html" title="interface in org.apache.zookeeper"><CODE>ZooDefs.OpCode</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getPath()"><!-- --></A><H3>
getPath</H3>
<PRE>
public java.lang.String <B>getPath</B>()</PRE>
<DL>
<DD>Gets the path for an Op.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>The path.</DL>
</DD>
</DL>
<HR>

<A NAME="toRequestRecord()"><!-- --></A><H3>
toRequestRecord</H3>
<PRE>
public abstract org.apache.jute.Record <B>toRequestRecord</B>()</PRE>
<DL>
<DD>Encodes an op for wire transmission.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>An appropriate Record structure.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/apache/zookeeper/MultiTransactionRecord.html" title="class in org.apache.zookeeper"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/apache/zookeeper/Op.Check.html" title="class in org.apache.zookeeper"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?org/apache/zookeeper/Op.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Op.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
